Bug 1734082 - [abrt] festival: EST_Item::EST_Item(): festival killed by SIGSEGV
Summary: [abrt] festival: EST_Item::EST_Item(): festival killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: festival
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bruno Wolff III
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bddc39d49cc325258f4669b22ab...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-29 14:51 UTC by Izhar Firdaus
Modified: 2020-05-26 16:20 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:20:57 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (35.21 KB, text/plain)
2019-07-29 14:51 UTC, Izhar Firdaus
no flags Details
File: cgroup (343 bytes, text/plain)
2019-07-29 14:51 UTC, Izhar Firdaus
no flags Details
File: core_backtrace (3.50 KB, text/plain)
2019-07-29 14:51 UTC, Izhar Firdaus
no flags Details
File: cpuinfo (1.47 KB, text/plain)
2019-07-29 14:51 UTC, Izhar Firdaus
no flags Details
File: dso_list (3.72 KB, text/plain)
2019-07-29 14:51 UTC, Izhar Firdaus
no flags Details
File: environ (6.46 KB, text/plain)
2019-07-29 14:51 UTC, Izhar Firdaus
no flags Details
File: exploitable (82 bytes, text/plain)
2019-07-29 14:51 UTC, Izhar Firdaus
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-29 14:51 UTC, Izhar Firdaus
no flags Details
File: maps (23.73 KB, text/plain)
2019-07-29 14:51 UTC, Izhar Firdaus
no flags Details
File: mountinfo (3.99 KB, text/plain)
2019-07-29 14:51 UTC, Izhar Firdaus
no flags Details
File: open_fds (324 bytes, text/plain)
2019-07-29 14:51 UTC, Izhar Firdaus
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-07-29 14:51 UTC, Izhar Firdaus
no flags Details

Description Izhar Firdaus 2019-07-29 14:51:25 UTC
Description of problem:
segfault happens when trying to convert text to speech

echo "hello world" | festival --tts 

also reproducible using

echo '(SayText "hello world")' | festival --pipe

Version-Release number of selected component:
festival-1.96-39.fc29

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 3
cmdline:        festival --tts
crash_function: EST_Item::EST_Item
executable:     /usr/bin/festival
journald_cursor: s=795f5d9787d04ef2bd227c6d8978c531;i=2ff9e;b=60dc91fc38144c50b61076da271a4a0f;m=135fa98486;t=58ed22302d153;x=96c41a3df5cc8021
kernel:         5.1.18-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 EST_Item::EST_Item at ../include/ling_class/EST_Item.h:238
 #1 EST_Relation::append at EST_Relation.cc:98
 #2 add_token at text_aux.cc:47
 #3 tts_chunk_stream at text.cc:242
 #4 tts_file_raw at text.cc:169
 #5 tts_file at text.cc:124
 #6 leval at slib.cc:1390
 #7 festival_eval_command at festival.cc:182
 #8 festival_say_file at festival.cc:233
 #9 ??

Potential duplicate: bug 1679131

Comment 1 Izhar Firdaus 2019-07-29 14:51:31 UTC
Created attachment 1594318 [details]
File: backtrace

Comment 2 Izhar Firdaus 2019-07-29 14:51:32 UTC
Created attachment 1594319 [details]
File: cgroup

Comment 3 Izhar Firdaus 2019-07-29 14:51:34 UTC
Created attachment 1594320 [details]
File: core_backtrace

Comment 4 Izhar Firdaus 2019-07-29 14:51:36 UTC
Created attachment 1594321 [details]
File: cpuinfo

Comment 5 Izhar Firdaus 2019-07-29 14:51:38 UTC
Created attachment 1594322 [details]
File: dso_list

Comment 6 Izhar Firdaus 2019-07-29 14:51:40 UTC
Created attachment 1594323 [details]
File: environ

Comment 7 Izhar Firdaus 2019-07-29 14:51:42 UTC
Created attachment 1594324 [details]
File: exploitable

Comment 8 Izhar Firdaus 2019-07-29 14:51:43 UTC
Created attachment 1594325 [details]
File: limits

Comment 9 Izhar Firdaus 2019-07-29 14:51:46 UTC
Created attachment 1594326 [details]
File: maps

Comment 10 Izhar Firdaus 2019-07-29 14:51:48 UTC
Created attachment 1594327 [details]
File: mountinfo

Comment 11 Izhar Firdaus 2019-07-29 14:51:50 UTC
Created attachment 1594328 [details]
File: open_fds

Comment 12 Izhar Firdaus 2019-07-29 14:51:51 UTC
Created attachment 1594329 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2020-04-30 21:28:21 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2020-05-26 16:20:57 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.